//-----------------------------------------------------------------------------
// File: dxver.cpp
//
// Desc: Windows code for GetDXVersion() sample
//
//       This code calls GetDXVersion and displays the results
//
//
// Copyright (c) 1998 Microsoft Corporation. All rights reserved.
// Ported by Vadim Bodrov, TMT Development Corp.
//-----------------------------------------------------------------------------
uses Windows, Strings, GetDXVer;


//-----------------------------------------------------------------------------
// Name: WinMain()
// Desc: Entry point to the program. Initializes everything, and pops
//       up a message box with the results of the GetDXVersion call
//-----------------------------------------------------------------------------
var
    strBuff: array[0..255] of Char;
    dwDXVersion: DWORD;
    dwDXPlatform: DWORD;
begin
    GetDXVersion( dwDXVersion, dwDXPlatform );

    case dwDXPlatform of
        VER_PLATFORM_WIN32_WINDOWS:
            StrCopy( strBuff, 'OS:' +#9 + 'Windows 9x' + #13 );
        VER_PLATFORM_WIN32_NT:
            StrCopy( strBuff, 'OS:' +#9 + 'Windows NT' + #13 );
        else
            StrCopy( strBuff, 'Error!' + #13 );

    end;

{$ifdef __CON__}
    WriteLn(strBuff);
{$endif}

    case dwDXVersion of
        $000: StrCat( strBuff, 'Dx:' +#9 + 'No DirectX installed' );
        $100: StrCat( strBuff, 'Dx:' +#9 + 'DirectX 1' );
        $200: StrCat( strBuff, 'Dx:' +#9 + 'DirectX 2' );
        $300: StrCat( strBuff, 'Dx:' +#9 + 'DirectX 3' );
        $500: StrCat( strBuff, 'Dx:' +#9 + 'DirectX 5' );
        $600: StrCat( strBuff, 'Dx:' +#9 + 'DirectX 6' );
        $700: StrCat( strBuff, 'Dx:' +#9 + 'DirectX 7 or better' );
        else  StrCat( strBuff, 'Unknown version of DirectX installed.' );
    end;

{$ifdef __CON__}
    WriteLn(strBuff);
{$else}
    MessageBox( 0, strBuff, 'DirectX Version:', MB_OK or MB_ICONINFORMATION );
{$endif}

end.

